
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;
import java.io.Serial;

/**
 * 弹窗广告关联DTO
 * @author TRACK
 */
public class PopupRelateDTO {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "关联id")
    private Long relateId;

    @Schema(description = "弹窗广告id")
    private Long popupId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "会员等级id")
    private Long userLevelId;

    public Long getRelateId() {
        return relateId;
    }

    public void setRelateId(Long relateId) {
        this.relateId = relateId;
    }

    public Long getPopupId() {
        return popupId;
    }

    public void setPopupId(Long popupId) {
        this.popupId = popupId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getUserLevelId() {
        return userLevelId;
    }

    public void setUserLevelId(Long userLevelId) {
        this.userLevelId = userLevelId;
    }

    @Override
    public String toString() {
        return "PopupRelateDTO{" +
                "relateId=" + relateId +
                ",popupId=" + popupId +
                ",spuId=" + spuId +
                ",userLevelId=" + userLevelId +
                '}';
    }
}
